CAU does not allow upgrade of rapid automation agent

book

Article ID: 208048

calendar_today

Updated On:

Products

CA Automic Workload Automation - Automation Engine

Issue/Introduction

The marketplace provides CAU RA agent. 

When attempting to upgrade, the screen shows a "Target Version" of " Manual Upgrade Required ":

Can the Centralized Agent Upgrade on a 12.3.x system upgrade an RA agent that is 12.1 or 12.2?

Environment

Release : 12.3

Component : AUTOMATION ENGINE

Resolution

12.1 and 12.2 RA agents cannot be upgraded via CAU.  The first available version to update the RA agents via CAU is a 12.3.0 agent or above.

The documentation will be enhanced to state that when "Target Version" shows as "Manual Upgrade Required" it means that the agent does not meet one of the requirements (is to old version, etc...)

Make sure that Service Manager is also on version 12.3.0 or above. 

Additional Information

More information can be found in the documentation for CAU:

https://docs.automic.com/documentation/webhelp/english/AA/12.3/DOCU/12.3/Automic%20Automation%20Guides/help.htm#Installation_Upgrade/install_CAU.htm#link4